> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/customer/subscribers/search-subscriber-by-email.md).

# Search Subscriber by Email

### 📧 Search Subscriber by Email

Look up a subscriber by their email address within a specified list.

***

#### 🔹 HTTP Request

```http
GET API-URL/lists/LIST-UNIQUE-ID/subscribers/search-by-email
```

***

#### 🔸 URL Segments

| Segment          | Required | Description                               |
| ---------------- | -------- | ----------------------------------------- |
| `LIST-UNIQUE-ID` | Yes      | Unique identifier of the subscriber list. |

***

#### 🔎 Query Parameters

| Parameter | Required | Description                      |
| --------- | -------- | -------------------------------- |
| `email`   | Yes      | Email address of the subscriber. |

***

#### 🔐 Authorization Header

```
X-API-KEY: your-api-key-here
```

***

#### 💻 PHP Example

```php
// SEARCH BY EMAIL
$response = $endpoint->emailSearch('LIST-UNIQUE-ID', 'john.doe@doe.com');

// DISPLAY RESPONSE
echo '<hr /><pre>';
print_r($response->body);
echo '</pre>';
```

***

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {
    "subscriber_uid": "st890efghijk2",
    "status": "confirmed",
    "date_added": "2024-11-15 08:27:14"     
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.senderwiz.com/customer/subscribers/search-subscriber-by-email.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
